<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports ADSL Plans
 *
 * @package    OSB
 * @subpackage ADSL
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_ADSL_Plan extends ORMOSB {
	// Relationships
	protected $_belongs_to = array(
		'adsl_supplier_plan'=>array(),
	);
	protected $_has_many = array(
		'service'=>array('through'=>'service__adsl'),
	);

	protected $_formats = array(
		'extra_down_peak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_down_offpeak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_up_peak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
		'extra_up_offpeak'=>array(
			'Tax::add'=>array(),
			'Currency::display'=>array(),
		),
	);
}
?>
